!> \file lineartemp-0.2.f90
!!  Linear temperature in ice
!<

!> SUBROUTINE: LINEARTEMP
!! Calculate the linear temperature in ice

subroutine lineartemp

  !     *********************************************************
  !     (********** LINEAR TEMPERATURE IN ICE *******************)
  !     *********************************************************

  use geography, only:nx,ny,nz,nzm
  use module3D_phy, only:H,B,bmelt,T,TS,tpmp,ghf
  use icetemp_declar, only:Dzm,Cm
  
  implicit none

  integer :: i,j,k
  real,dimension(nx,ny) :: TG           !< degrees above melting point at the base

  do I=1,NX
     do J=1,NY 
        TG(I,J)=0.
        BMELT(I,J)=0.
        T(I,J,1)=min(0.,TS(I,J))
        !     TPMP(I,J,1)=0.
        !     TPMP(I,J,NZ)=-0.00087*H(I,J)
        !     T(I,J,NZ)=TPMP(I,J,NZ)
        !     pour partir d'une tempature plus froide
        !     T(I,J,NZ)=TPMP(I,J,NZ)-10.

        if (H(i,j).gt.0.)  T(I,J,NZ)=TPMP(I,J,NZ)-20.



        do K=2,NZ-1
           !     TPMP(I,J,K)=-0.00087*(K-1)/(NZ-1)*H(I,J)
           !     T(I,J,K)=T(I,J,1)-(T(I,J,1)-TPMP(I,J,NZ))*(K-1)/(NZ-1)
           T(I,J,K)=T(I,J,1)-(T(I,J,1)-T(I,J,NZ))*(K-1)/(NZ-1)
        end do
        do K=NZ+1,NZ+NZM
           T(I,J,K)=(T(I,J,K-1)-GHF(i,j)*DZM/cm)
        end do
     end do
  end do


end subroutine lineartemp
